<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
    <OutputType>Exe</OutputType>
    <LangVersion>9.0</LangVersion>
    <Nullable>enable</Nullable>
    <BlazorWebAssemblyLoadAllGlobalizationData>true</BlazorWebAssemblyLoadAllGlobalizationData>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>WASM;TRACE;RELEASE</DefineConstants>
    <DocumentationFile>BookRegistry.Client.xml</DocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>WASM;TRACE</DefineConstants>
    <DebugType>pdbonly</DebugType>
    <DebugSymbols>true</DebugSymbols>
    <DocumentationFile>BookRegistry.Client.xml</DocumentationFile>
    <BlazorWebAssemblyEnableLinking>false</BlazorWebAssemblyEnableLinking>
  </PropertyGroup>

  <ItemGroup>
    <Reference Include="CommonHelpers.WASM">
      <!--<HintPath>$(HandicraftSDK_Root)\DotNetHelpers\Assemblies\.WASM\CommonHelpers.WASM.dll</HintPath>-->
      <HintPath>..\AssemblyRef\DotNetHelpers\.WASM\CommonHelpers.WASM.dll</HintPath>
    </Reference>
    <Reference Include="AFXUI">
      <HintPath>..\AssemblyRef\AFXUI.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNet.WebApi.Client" Version="5.2.7" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="5.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="5.0.0" PrivateAssets="all" />
    <!--<PackageReference Include="Microsoft.Extensions.Configuration" Version="5.0.0" />-->
    <PackageReference Include="Microsoft.AspNetCore.Components.Authorization" Version="5.0.0" />
    <PackageReference Include="System.Net.Http.Json" Version="5.0.0" />
  </ItemGroup>

  <ItemGroup>
    <Compile Include="..\SHARED\**\*.cs" Exclude="..\SHARED\**\*.server.cs" />
    <Compile Include="..\..\SQL (DB-modelling)\Application procedures\**\*.cs" Exclude="..\..\SQL (DB-modelling)\Application procedures\**\*.server.cs" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="*.cmd" />
    <None Remove="*.bak" />
  </ItemGroup>

</Project>
